/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl;

public class WSDLException extends java.lang.Exception implements java.io.Serializable {
   public static final String CONFIGURATION_ERROR = "CONFIGURATION_ERROR";
   public static final String INVALID_WSDL = "INVALID_WSDL";
   public static final String NO_PREFIX_SPECIFIED = "NO_PREFIX_SPECIFIED";
   public static final String OTHER_ERROR = "OTHER_ERROR";
   public static final String PARSER_ERROR = "PARSER_ERRROR";
   public static final long serialVersionUID = 11;
   public static final String UNBOUND_PREFIX = "UNBOUND_PREFIX";

   public WSDLException(String faultCode, String msg) {
      this.faultCode = faultCode;
      this.message = msg;
   }

   public WSDLException(String faultCode, String msg, Throwable t) {
      this.faultCode = faultCode;
      this.message = msg;
      this.targetException = t;
   }

   public String getFaultCode() {
      return faultCode;
   }

   public String getLocation() {
      return location;
   }

   public String getMessage() {
      return message;
   }

   public Throwable getTargetException() {
      return targetException;
   }

   public void setFaultCode(String faultCode) {
      this.faultCode = faultCode;
   }

   public void setLocation(String location) {
      this.location = location;
   }

   public void setTargetException(Throwable targetThrowable) {
      this.targetException = targetException;
   }

   private String faultCode = null;
   private String location = null;
   private String message = null;
   private Throwable targetException = null;
}

