/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl.xml;

import javax.wsdl.Definition;
import javax.wsdl.extensions.ExtensionRegistry;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.xml.sax.InputSource;

public interface WSDLReader {
   ExtensionRegistry getExtensionRegistry();
   String getFactoryImplName();
   boolean getFeature(String name);
   Definition readWSDL(String wsdlURI);
   Definition readWSDL(String documentBaseURI, Document wsdlDocument);
   Definition readWSDL(String documentBaseURI, Element definitionElement);
   Definition readWSDL(String documentBaseURi, InputSource inputSource);
   Definition readWSDL(String contextURI, String wsdlURI);
   Definition readWSDL(WSDLLocator locator);
   Definition readWSDL(WSDLLocator locator, Element definitionsElement);
   void setExtensionRegistry(ExtensionRegistry extReg);
   void setFactoryImplName(String factoryImplName);
   void setFeature(String name, boolean value);
}

